[arch-commits] Commit in gnome-control-center/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Sat Sep 27 18:13:05 EDT 2008


    Date: Saturday, September 27, 2008 @ 18:13:04
  Author: jgc
Revision: 13692

upgpkg: gnome-control-center 2.24.0.1-1

Modified:
  gnome-control-center/trunk/PKGBUILD

----------+
 PKGBUILD |   23 ++++++++++-------------
 1 file changed, 10 insertions(+), 13 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-09-27 22:06:07 UTC (rev 13691)
+++ PKGBUILD	2008-09-27 22:13:04 UTC (rev 13692)
@@ -2,12 +2,12 @@
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=gnome-control-center
-pkgver=2.22.2.1
+pkgver=2.24.0.1
 pkgrel=1
 pkgdesc="The Control Center for GNOME"
 arch=(i686 x86_64)
-depends=('libgnomekbd>=2.22.0' 'metacity>=2.22.0' 'nautilus>=2.22.3' 'gstreamer0.10-base>=0.10.19' 'libxss' 'gnome-panel>=2.22.2' 'desktop-file-utils' 'gnome-settings-daemon>=2.22.2.1')
-makedepends=('perlxml' 'gnome-doc-utils>=0.12.2' 'pkgconfig')
+depends=('metacity>=2.24.0' 'eel>=2.24.0' 'gstreamer0.10-base>=0.10.20' 'libxss' 'gnome-panel>=2.24.0' 'desktop-file-utils' 'gnome-settings-daemon>=2.24.0' 'libgnomekbd>=2.24.0' 'libcanberra>=0.9')
+makedepends=('perlxml' 'gnome-doc-utils>=0.14.0' 'pkgconfig')
 url="http://www.gnome.org"
 groups=('gnome')
 replaces=('control-center')
@@ -16,22 +16,19 @@
 install=gnome-control-center.install
 license=('GPL')
 options=('!libtool' '!emptydirs')
-source=(http://ftp.gnome.org/pub/GNOME/sources/${pkgname}/2.22/${pkgname}-${pkgver}.tar.bz2)
-md5sums=('f708092437fff488656c01665cbe6ae9')
+source=(http://ftp.gnome.org/pub/GNOME/sources/${pkgname}/2.24/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('dcaf6e91fddbb1d57d045a4de34ec25c')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
-  # Don't generate files which are generated in postinstall
-  sed -i -e '/update-desktop-database/d' vfs-methods/*/Makefile.* || return 1
-
+  cd "${srcdir}/${pkgname}-${pkgver}"
   ./configure --prefix=/usr --sysconfdir=/etc \
               --localstatedir=/var --disable-static \
 	      --enable-gstreamer=0.10 --enable-aboutme \
 	      --disable-scrollkeeper --disable-update-mimedb || return 1
   make || return 1
-  make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR=${startdir}/pkg install || return 1
+  make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR="${pkgdir}" install || return 1
 
-  install -m755 -d ${startdir}/pkg/usr/share/gconf/schemas
-  gconf-merge-schema ${startdir}/pkg/usr/share/gconf/schemas/${pkgname}.schemas ${startdir}/pkg/etc/gconf/schemas/*.schemas || return 1
-  rm -f ${startdir}/pkg/etc/gconf/schemas/*.schemas
+  install -m755 -d "${pkgdir}/usr/share/gconf/schemas"
+  gconf-merge-schema "${pkgdir}/usr/share/gconf/schemas/${pkgname}.schemas" ${pkgdir}/etc/gconf/schemas/*.schemas || return 1
+  rm -f ${pkgdir}/etc/gconf/schemas/*.schemas
 }




More information about the arch-commits mailing list